# Auto generated configuration file
# using: 
# Revision: 1.381.2.27 
# Source: /local/reps/CMSSW/CMSSW/Configuration/PyReleaseValidation/python/ConfigBuilder.py,v 
# with command line options: REDIGI --step DIGI,L1,DIGI2RAW,HLT:7E33v2 --conditions START53_V19::All --pileup 2012_Summer_50ns_PoissonOOTPU --datamix NODATAMIXER --eventcontent RAWSIM --datatier GEN-SIM-RAW --python_filename /afs/cern.ch/cms/CAF/CMSPHYS/PHYS_GENERATOR/prep/Summer12_DR53X-20130716111101_1/config_0_1_cfg.py --fileout step1.root --no_exec -n 5 --dbsquery=find file where dataset=/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/Summer12-START53_V7C-ext-v1/GEN-SIM
import FWCore.ParameterSet.Config as cms

process = cms.Process('HLT')

# import of standard configurations
process.load('Configuration.StandardSequences.Services_cff')
process.load('SimGeneral.HepPDTESSource.pythiapdt_cfi')
process.load('FWCore.MessageService.MessageLogger_cfi')
process.load('Configuration.EventContent.EventContent_cff')
process.load('SimGeneral.MixingModule.mix_2012_Summer_50ns_PoissonOOTPU_cfi')
process.load('Configuration.StandardSequences.GeometryRecoDB_cff')
process.load('Configuration.StandardSequences.MagneticField_38T_cff')
process.load('Configuration.StandardSequences.Digi_cff')
process.load('Configuration.StandardSequences.SimL1Emulator_cff')
process.load('Configuration.StandardSequences.DigiToRaw_cff')
process.load('HLTrigger.Configuration.HLT_7E33v2_cff')
process.load('Configuration.StandardSequences.EndOfProcess_cff')
process.load('Configuration.StandardSequences.FrontierConditions_GlobalTag_cff')

process.maxEvents = cms.untracked.PSet(
    input = cms.untracked.int32(5)
)

# Input source
process.source = cms.Source("PoolSource",
    secondaryFileNames = cms.untracked.vstring(),
    fileNames = cms.untracked.vstring('/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/FA5613ED-30E9-E211-A32D-78E7D12213C8.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/F8AED105-31E9-E211-AB0F-00266CFFA148.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/F0B96355-E8E8-E211-9C8D-0025907DC9D6.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/ECA8A7B8-32E9-E211-877D-001E68862A1F.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/E44C6804-E5E8-E211-8CB6-0025907FD2BA.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/DE659C85-E0E8-E211-9E37-0015C5F82F97.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/D6EA938B-DEE8-E211-A6CB-002481DE4AA6.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/D2C0A3B4-E2E8-E211-A81E-0025907FD2D6.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/C84C710C-31E9-E211-83A7-001EC9AA9CB1.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/C695D910-00E9-E211-A459-003048FEAECC.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/C227A093-32E9-E211-A6EC-90B11C154A46.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/A2AE9AE3-30E9-E211-B7CE-002481DE485A.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/9CB22E4C-DCE8-E211-AF2F-001E4F32EFA6.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/90D38CE8-30E9-E211-AA48-0030489452C6.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/8877668E-E8E8-E211-B7BA-0025907DC9D6.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/6EA56307-31E9-E211-AE18-00266CFFA148.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/6AF3B7F1-0CE9-E211-9F31-003048D375C2.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/4C3CAC81-FEE8-E211-8904-02163E008BC1.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/4A637ADA-34E9-E211-8D54-0030487E4B96.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/42E49409-31E9-E211-A151-BCAEC5097210.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/3C2AF701-32E9-E211-8A68-003048C5750A.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/38856249-F6E8-E211-B2EF-C86000151BE0.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/387FE2F3-30E9-E211-8399-441EA171A696.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/36448902-31E9-E211-80A7-D8D385DFDA28.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/2C8534FB-F1E8-E211-885B-003048945582.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/2AF7D1AE-F9E8-E211-845D-003048D3767A.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/28BD953D-E3E8-E211-A944-002590A52B4A.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/28976A09-31E9-E211-95DD-00259021A39E.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/26EB416C-36E9-E211-9C3B-6805CA085399.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/2460271D-ECE8-E211-BB79-0030487E5101.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/12CD6493-32E9-E211-81EF-001E68862A1F.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/0AC60E1B-F7E8-E211-8982-001EC9AA9FFE.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/0A3E0D3B-E3E8-E211-B229-0025901D5D72.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/08B72D05-31E9-E211-9E85-B499BAAF9920.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/0608447E-E9E8-E211-87C8-003048D37580.root', 
        '/store/mc/Summer12/ZH_HToTauTau_M-105_lepdecay_8TeV-pythia6-tauola/GEN-SIM/START53_V7C-ext-v1/30000/040F036A-DFE8-E211-B8C5-0030487D5DA9.root')
)

process.options = cms.untracked.PSet(

)

# Production Info
process.configurationMetadata = cms.untracked.PSet(
    version = cms.untracked.string('$Revision: 1.381.2.27 $'),
    annotation = cms.untracked.string('REDIGI nevts:5'),
    name = cms.untracked.string('PyReleaseValidation')
)

# Output definition

process.RAWSIMoutput = cms.OutputModule("PoolOutputModule",
    splitLevel = cms.untracked.int32(0),
    eventAutoFlushCompressedSize = cms.untracked.int32(5242880),
    outputCommands = process.RAWSIMEventContent.outputCommands,
    fileName = cms.untracked.string('step1.root'),
    dataset = cms.untracked.PSet(
        filterName = cms.untracked.string(''),
        dataTier = cms.untracked.string('GEN-SIM-RAW')
    )
)

# Additional output definition

# Other statements
from Configuration.AlCa.GlobalTag import GlobalTag
process.GlobalTag = GlobalTag(process.GlobalTag, 'START53_V19::All', '')

# Path and EndPath definitions
process.digitisation_step = cms.Path(process.pdigi)
process.L1simulation_step = cms.Path(process.SimL1Emulator)
process.digi2raw_step = cms.Path(process.DigiToRaw)
process.endjob_step = cms.EndPath(process.endOfProcess)
process.RAWSIMoutput_step = cms.EndPath(process.RAWSIMoutput)

# Schedule definition
process.schedule = cms.Schedule(process.digitisation_step,process.L1simulation_step,process.digi2raw_step)
process.schedule.extend(process.HLTSchedule)
process.schedule.extend([process.endjob_step,process.RAWSIMoutput_step])

# customisation of the process.

# Automatic addition of the customisation function from HLTrigger.Configuration.customizeHLTforMC
from HLTrigger.Configuration.customizeHLTforMC import customizeHLTforMC 

#call to customisation function customizeHLTforMC imported from HLTrigger.Configuration.customizeHLTforMC
process = customizeHLTforMC(process)

# End of customisation functions
